package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

public class TipoDocDTO {

    private String codDtip;
    private String descrizione;
    private String gestione;
    private String gestioneDoc;
    private boolean flagChkTracciabilita;
    private boolean requireNote = false;

    public String getCodDtip() {
        return codDtip;
    }

    public void setCodDtip(String codDtip) {
        this.codDtip = codDtip;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public void setDescrizione(String descrizione) {
        this.descrizione = descrizione;
    }

    public String getGestione() {
        return gestione;
    }

    public void setGestione(String gestione) {
        this.gestione = gestione;
    }

    public String getGestioneDoc() {
        return gestioneDoc;
    }

    public void setGestioneDoc(String gestioneDoc) {
        this.gestioneDoc = gestioneDoc;
    }

    public String getLabel() {
        return this.codDtip + " - " + this.descrizione;
    }

    public boolean isRequireNote() {
        return requireNote;
    }

    public TipoDocDTO setRequireNote(boolean requireNote) {
        this.requireNote = requireNote;
        return this;
    }

    public boolean isFlagChkTracciabilita() {
        return flagChkTracciabilita;
    }

    public TipoDocDTO setFlagChkTracciabilita(boolean flagChkTracciabilita) {
        this.flagChkTracciabilita = flagChkTracciabilita;
        return this;
    }
}
